parameters:
  _param:
    mysql_wordpress_devel_password: password
    apache_wordpress_devel_host: 'devel.${linux:network:fqdn}'
  apache:
    server:
      site:
        wordpress_devel:
          enabled: true
          type: wordpress
          name: devel
          host:
            name: ${_param:apache_wordpress_devel_host}
  mysql:
    server:
      database:
        w_devel:
          encoding: UTF8
          locale: cs_CZ
          users:
          - name: w_devel
            password: ${_param:mysql_wordpress_devel_password}
            host: localhost
            rights: all privileges
  wordpress:
    server:
      enabled: true
      app:
        devel:
          enabled: true
          version: '4.0'          
          database:
            engine: 'mysql'
            host: '127.0.0.1'
            name: 'w_devel'
            password: '${_param:mysql_wordpress_devel_password}'
            user: 'w_devel'
            prefix: 'devel'
          core_install:
            url: '${_param:apache_wordpress_devel_host}'
            title: 'Wordpress Salt Page'
            admin_user: 'Del_S'
            admin_password: 'Super_Silne123'
            admin_email: 'david@sucharda.cz'
          do_update:
            core_update: false
            theme_update: true
          plugin:
            wp-security-scan:
              version: 'latest'
              source:
                engine: 'http'
                adress: ''
            codepress-admin-columns:
              version: 'latest'
              source:
                engine: 'http'
            anti-spam:
              version: '3.4'
              source:
                engine: 'http'
            autoptimize:
              version: 'latest'
              source:
                engine: 'git'
                address: 'https://github.com/wp-plugins/autoptimize.git'
            crop-thumbnails:
              version: 'latest'
              source:
                engine: 'http'
            jetpack:
              version: 'latest'
              source:
                engine: 'git'
                address: 'https://github.com/Automattic/jetpack.git'
            members:
              version: 'latest'
              source:
                engine: 'http'
            query-monitor:
              version: 'latest'
              source:
                engine: 'http'
            search-keyword-statistics:
              version: 'latest'
              source:
                engine: 'http'
            seo-automatic-links:
              version: 'latest'
              source:
                engine: 'http'
            simple-lightbox:
              version: 'latest'
              source:
                engine: 'http'
            simple-pagination:
              version: 'latest'
              source:
                engine: 'http'
            updraftplus:
              version: 'latest'
              source:
                engine: 'http'
            uploadplus:
              version: 'latest'
              source:
                engine: 'http'
            white-label-cms:
              version: 'latest'
              source:
                engine: 'http'
            wordpress-seo:
              version: 'latest'
              source:
                engine: 'http'
            wp-donottrack:
              version: 'latest'
              source:
                engine: 'http'
            wp-migrate-db:
              version: 'latest'
              source:
                engine: 'http'
            wp-super-cache:
              version: 'latest'
              source:
                engine: 'http'